# std::chrono::year::is_leap

From cppreference.com
< cpp‎ | chrono‎ | year

constexpr bool is_leap() const noexcept; |  | (since C++20)

Determines if `*this` represents a leap year in the proleptic Gregorian calendar.

`*this` represents a leap year if the stored year value

- is divisible by 4 and not divisible by 100; or
- is divisible by 400.

### Return value

true if `*this` represents a leap year, otherwise false.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year/is_leap&oldid=104854"